import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';

@Component({
  selector: 'app-pokemon',
  templateUrl: './pokemon.component.html',
  styleUrls: ['./pokemon.component.css']
})
export class PokemonComponent implements OnInit {

  @Input() pokemon = {};
  @Output() eventoClicImagen  = new EventEmitter;

  constructor() { }

  ngOnInit(): void {
  }

  clicEnImagen(nombre) { 
    this.eventoClicImagen.emit(nombre); 
  } 
 

}
